> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Histories

> Retrieves a paginated list of call histories for the authenticated user's current workspace.
The call histories are returned using cursor-based pagination.



## OpenAPI

````yaml GET /api/v1/call-histories
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/call-histories:
    get:
      tags:
        - Call History
      summary: List Call Histories
      description: >-
        Retrieves a paginated list of call histories for the authenticated
        user's current workspace.

        The call histories are returned using cursor-based pagination.
      operationId: listCallHistories
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                per_page:
                  type: integer
                  description: Must be at least 1. Must not be greater than 100.
                  example: 1
                cursor:
                  type: string
                  description: ''
                  example: example
                date_from:
                  type: string
                  description: Must be a valid date.
                  example: '2026-05-01T06:38:05'
                  nullable: true
                date_to:
                  type: string
                  description: >-
                    Must be a valid date. Must be a date after or equal to
                    `date_from`.
                  example: '2052-05-24'
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01kqh44f9wdwxghyfxsxs645s3
                      start_time: '2026-04-20T06:17:12.000000Z'
                      end_time: '2026-04-26T20:29:54.000000Z'
                      duration: '14:12:42'
                      channel_type: sms
                      cost: 8.7546
                      session_id: null
                      end_reason: transfer
                      session_status: active
                      from: '+13235266748'
                      to: '+18067210719'
                      direction: inbound
                      session_outcome: escalated
                      e2e_latency: 4195
                      agent_id: 01kqh44f9159fd9ry816nwb46k
                      workspace_id: 01kqh44f9fxkk4cqnahb88yhvb
                      created_at: '2026-05-01T06:38:05.000000Z'
                      updated_at: '2026-05-01T06:38:05.000000Z'
                      analysis: null
                    - id: 01kqh44fbvqbgte0z5h507bfj9
                      start_time: '2026-04-20T04:54:02.000000Z'
                      end_time: '2026-04-21T04:56:02.000000Z'
                      duration: '00:02:00'
                      channel_type: sms
                      cost: 0.9485
                      session_id: null
                      end_reason: timeout
                      session_status: active
                      from: '+12346235439'
                      to: '+14327897092'
                      direction: outbound
                      session_outcome: unresolved
                      e2e_latency: 3624
                      agent_id: 01kqh44fb2qhmca6gefg38v94v
                      workspace_id: 01kqh44fbecbxck2bn3x7z5tae
                      created_at: '2026-05-01T06:38:05.000000Z'
                      updated_at: '2026-05-01T06:38:05.000000Z'
                      analysis: null
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 01kqh44f9wdwxghyfxsxs645s3
                        start_time: '2026-04-20T06:17:12.000000Z'
                        end_time: '2026-04-26T20:29:54.000000Z'
                        duration: '14:12:42'
                        channel_type: sms
                        cost: 8.7546
                        session_id: null
                        end_reason: transfer
                        session_status: active
                        from: '+13235266748'
                        to: '+18067210719'
                        direction: inbound
                        session_outcome: escalated
                        e2e_latency: 4195
                        agent_id: 01kqh44f9159fd9ry816nwb46k
                        workspace_id: 01kqh44f9fxkk4cqnahb88yhvb
                        created_at: '2026-05-01T06:38:05.000000Z'
                        updated_at: '2026-05-01T06:38:05.000000Z'
                        analysis: null
                      - id: 01kqh44fbvqbgte0z5h507bfj9
                        start_time: '2026-04-20T04:54:02.000000Z'
                        end_time: '2026-04-21T04:56:02.000000Z'
                        duration: '00:02:00'
                        channel_type: sms
                        cost: 0.9485
                        session_id: null
                        end_reason: timeout
                        session_status: active
                        from: '+12346235439'
                        to: '+14327897092'
                        direction: outbound
                        session_outcome: unresolved
                        e2e_latency: 3624
                        agent_id: 01kqh44fb2qhmca6gefg38v94v
                        workspace_id: 01kqh44fbecbxck2bn3x7z5tae
                        created_at: '2026-05-01T06:38:05.000000Z'
                        updated_at: '2026-05-01T06:38:05.000000Z'
                        analysis: null
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01kqh44f9wdwxghyfxsxs645s3
                        start_time:
                          type: string
                          example: '2026-04-20T06:17:12.000000Z'
                        end_time:
                          type: string
                          example: '2026-04-26T20:29:54.000000Z'
                        duration:
                          type: string
                          example: '14:12:42'
                        channel_type:
                          type: string
                          example: sms
                        cost:
                          type: number
                          example: 8.7546
                        session_id:
                          type: string
                          example: null
                          nullable: true
                        end_reason:
                          type: string
                          example: transfer
                        session_status:
                          type: string
                          example: active
                        from:
                          type: string
                          example: '+13235266748'
                        to:
                          type: string
                          example: '+18067210719'
                        direction:
                          type: string
                          example: inbound
                        session_outcome:
                          type: string
                          example: escalated
                        e2e_latency:
                          type: integer
                          example: 4195
                        agent_id:
                          type: string
                          example: 01kqh44f9159fd9ry816nwb46k
                        workspace_id:
                          type: string
                          example: 01kqh44f9fxkk4cqnahb88yhvb
                        created_at:
                          type: string
                          example: '2026-05-01T06:38:05.000000Z'
                        updated_at:
                          type: string
                          example: '2026-05-01T06:38:05.000000Z'
                        analysis:
                          type: string
                          example: null
                          nullable: true
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````